<?php
// Archive Type
if ( is_category() ) {
	$type = 'cat-';
} elseif ( is_tag() ) {
	$type = 'tag-';
} elseif ( is_author() ) {
	$type = 'author-';
} elseif ( is_search() ) {
	$type = 'search-';
} else {
	$type = 'archive-';
}

// Get the customizer value.
$layout      = posty_mod( PREFIX . $type . 'layout' );
$excerpt     = posty_mod( PREFIX . $type . 'excerpt' );
$excerpt_num = posty_mod( PREFIX . $type . 'excerpt-limit' );

$classes = array();
global $i;
if ( 0 == $i )
	$classes[] = 'first';
if ( 'list' == $layout )
	$classes[] = 'clearfix';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?> <?php hybrid_attr( 'post' ); ?>>

	<?php
	if ( ( 'blog' != $layout ) && ( 0 != $i ) ) :

		posty_featured_image( 'medium' );
		posty_entry_header();

	else :
		
		posty_entry_header();
	?>

		<?php if ( has_post_format( 'video' ) ) : ?>
			<div class="entry-image video">
				<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
			</div>
		<?php elseif ( has_post_format( 'audio' ) ) : ?>
			<div class="entry-image audio">
				<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
			</div>
		<?php elseif ( has_post_format( 'image' ) )	: ?>
			<?php posty_get_first_image(); ?>
		<?php elseif ( has_post_format( 'gallery' ) ) : ?>
			<?php echo posty_get_format_gallery(); // Get the gallery ?>
		<?php else : ?>
			<?php posty_featured_image(); ?>
		<?php endif; ?>

	<?php endif; ?>


	<?php if ( $excerpt ) : ?>

		<?php if ( ( 'blog' != $layout ) && ( 0 != $i ) ) : ?>

			<div class="entry-summary" <?php hybrid_attr( 'entry-summary' ); ?>>
				<?php echo strip_tags( wp_trim_words( get_the_content(), (int) $excerpt_num ) ); ?>
			</div><!-- .entry-summary -->

		<?php else : ?>

			<div class="entry-content" <?php hybrid_attr( 'entry-summary' ); ?>>
				
				<?php if ( ! has_post_format( 'image' ) ) : ?>
					<?php the_content(""); ?>
				<?php endif; ?>

				<a class="more-link" href="<?php the_permalink(); ?>"><span class="more-button"><?php apply_filters( 'posty_readmore_text', _e( 'Continue Reading', 'posty' ) ); ?></span></a>

			</div><!-- .entry-summary -->

		<?php endif; ?>

	<?php endif; ?>


	<?php if ( ( 'blog' == $layout ) || ( 0 == $i ) ) posty_entry_footer(); ?>
	
</article><!-- #post-## -->
<?php $i++; // increase counter