<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php hybrid_attr( 'body' ); ?>>

<div id="page" class="hfeed site clearfix">

	<!-- Primary Bar / Start -->
	<div id="primary-bar" class="clearfix">

		<div class="container inner">

			<?php get_template_part( 'menu', 'primary' ); // Loads the menu-primary.php template. ?>
			
			<?php 
			$social_header = posty_mod( PREFIX . 'social-header' );
			if ( $social_header ) {
				posty_social_icons();
			}
			?>

			<?php
			$search_header = posty_mod( PREFIX . 'search-header' );
			if ( $search_header ) :
			?>
				<div class="header-search">
					<a href="#top" id="searchtoggl"><i class="fa fa-search"></i></a>
				</div>
			<?php endif; ?>

		</div><!-- .container -->

	</div>	
	<!-- Primary Bar / End -->

	<?php if ( $search_header ) : ?>
	<div id="searchbar" class="clearfix">
		<div class="container">
			<form id="searchform" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<button type="submit" id="search-submit" class="fa fa-search fa-3x"></button>
				<input type="search" name="s" id="s" placeholder="<?php esc_attr_e( 'Search for &hellip;', 'posty' ); ?>" autocomplete="off" value="<?php echo esc_attr( get_search_query() ); ?>" />
			</form>
		</div>
	</div>	
	<?php endif; ?>

	<header id="masthead" class="site-header clearfix" role="banner" <?php hybrid_attr( 'header' ); ?>>

		<div class="site-branding">
			<?php posty_site_branding(); ?>
		</div>

		<?php posty_header_ads(); // Get the header advertisement data. ?>

	</header><!-- #masthead -->

	<?php posty_breadcrumbs(); ?>

	<!-- Site Main / Start -->
	<main id="main" class="site-main container clearfix" role="main" <?php hybrid_attr( 'content' ); ?>>

		<?php posty_featured_slider(); // Get the featured slider. ?>

