<?php
/**
 * Accent color
 *
 * @package    Posty
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'posty_customizer_accent_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function posty_customizer_accent_styles() {

	// Link Color
	$link = posty_mod( PREFIX . 'accent-link-color' );

	if ( $link !== customizer_library_get_default( PREFIX . 'accent-link-color' ) ) {

		$color = sanitize_hex_color( $link );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.dark-link a:hover,#footer .widget a:hover,#site-bottom a:hover',
				'.black-link a:hover,.widget a:hover,.comment-name .name a:hover',
				'a:hover',
				'a',
				'.header-social a:hover',
				'.header-search a:hover',
				'#search-submit:hover',
				'#primary-nav ul.sf-menu li li a:hover',
				'#primary-nav ul .current_page_item > a,#primary-nav ul .current-menu-item > a',
				'#primary-nav .links li ol li a:hover',
				'#primary-nav .posts .cat-posts .post-list:hover .entry-title',
				'.widget_tabs .tabs-nav li.active a .fa,.widget_tabs .tabs-nav li.active a:visited .fa',
				'.widget_tabs .tabs-nav li a:hover',
				'.widget_tabs .tab-content ul li a:hover .entry-title',
				'.widget_tabs #tab3 li a:hover strong',
				'.widget p a:link'
			),
			'declarations' => array(
				'color' => $color
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-nav ul li a:hover,#primary-nav ul li.current_item a,#primary-nav ul li.sfHover a',
				'.widget_tabs #tab4 a:hover',
				'.more-button:hover'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.more-button:hover'
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
	}

	// Link Hover Color
	$link_hover = posty_mod( PREFIX . 'accent-link-hover-color' );

	if ( $link_hover !== customizer_library_get_default( PREFIX . 'accent-link-hover-color' ) ) {

		$color = sanitize_hex_color( $link_hover );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'a:hover',
				'a:visited:hover',
				'.widget p a:hover,.widget p a:visited:hover'
			),
			'declarations' => array(
				'color' => $color
			)
		) );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'mark'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Link Visited Color
	$link_visited = posty_mod( PREFIX . 'accent-link-visited-color' );

	if ( $link_visited !== customizer_library_get_default( PREFIX . 'accent-link-visited-color' ) ) {

		$color = sanitize_hex_color( $link_visited );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'a:visited',
				'.widget p a:visited'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

}
endif;
add_action( 'posty_customizer_library_styles', 'posty_customizer_accent_styles' );