<?php if ( is_singular( 'post' ) ) : // If viewing a single post page. ?>

	<?php if ( posty_mod( PREFIX . 'post-nav' ) ) : ?>

	<div class="post-nav">
		<?php if ( get_previous_post_link() ) : ?>
			<div class="nav-prev">
				<?php previous_post_link( 
					'%link',					
					'<div class="arrow"><i class="fa fa-angle-left"></i></div>'.
					'<div class="nav-text"><span>' . __( 'Previous Post', 'posty' ) . '</span><h5>%title</h5></div>' 
				); ?>
			</div>
		<?php endif; ?>

		<?php if ( get_next_post_link() ) : ?>
			<div class="nav-next">
				<?php next_post_link(  
					'%link',
					'<div class="arrow"><i class="fa fa-angle-right"></i></div>' .
					'<div class="nav-text"><span>' . __( 'Next Post', 'posty' ) . '</span><h5>%title</h5></div>'
					); 
				?>
			</div>
		<?php endif; ?>
	</div><!-- .loop-nav -->

	<?php endif; ?>

<?php elseif ( is_attachment() && wp_attachment_is_image() ) : // If viewing the attachment page. ?>

	<div class="pagination">
		<div class="nav-prev"><?php previous_image_link( false, '<i class="fa fa-angle-double-left"></i> ' . __( 'Previous Image', 'posty' ) ); ?></div>
		<div class="nav-next"><?php next_image_link( false, __( 'Next Image', 'posty' ) . ' <i class="fa fa-angle-double-right"></i>' ); ?></div>
	</div><!-- .loop-nav -->

<?php elseif ( is_home() || is_archive() || is_search() ) : // If viewing the blog, an archive, or search results. ?>

	<?php if ( get_previous_posts_link() || get_next_posts_link() ) : ?>

		<nav class="pagination clearfix">

			<?php if ( get_previous_posts_link() ) : ?>
				<div class="nav-prev">
					<?php previous_posts_link( '<i class="fa fa-angle-double-left"></i> ' . __( 'Newer Posts', 'posty' )  . '</span>' ) ; ?>
				</div>
			<?php endif; ?>

			<?php if ( get_next_posts_link() ) : ?>
				<div class="nav-next">
					<?php next_posts_link( __( 'Older Posts', 'posty' ) . ' <i class="fa fa-angle-double-right"></i>' ); ?>
				</div>
			<?php endif; ?>
			
		</nav>

	<?php endif; ?>

<?php endif; // End check for type of page being viewed. ?>